<template>

    <!-- <ConfirmationDialog ref="deleteConfirmation" title="Delete Platform" message="Are you sure you want to delete this platform?" :verificationString="pendingDeletePlatform.name"  @confirm="deletePlatform()" /> -->

    <v-card>
        <v-card-title class="text-h5">
            Settings
        </v-card-title>


     
        

    </v-card>
</template>
<style>

.highlight-row:hover {
  background-color: #3b6e3d;
  cursor: pointer;
}

</style>
<script>
import { ref, onMounted, computed, reactive, watch } from "vue";
import { useUserStore } from "@/store/users";
import { useAuthStore } from "@/store/auth";
import { VDataTable } from "vuetify/labs/VDataTable";
import { useRouter } from 'vue-router'
import ConfirmationDialog from "../ConfirmationDialog.vue";



export default {
    props:{ },
    setup(props ) {
        const store = useUserStore();
        const authStore = useAuthStore();


        const router= useRouter();

        const authUser = computed(() => {
            return authStore.user;
        });
        const config = computed(() => {
            return authStore.config;
        });



        onMounted(() => {
            authStore.fetchConfig();
        });







        return {
            
            config
            
        }
    },
    components: {
    VDataTable,
    ConfirmationDialog
}
}


</script>
